Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.loading
Interface MLetMBean

All Known Implementing Classes:
  MLet

public interface MLetMBean

Exposes the remote management interface of the MLet MBean.

Author:
  Young Yang

Method Summary
`void` | `addURL(java.lang.String url)` Appends the specified URL to the list of URLs to search for classes and resources.
`void` | `addURL(java.net.URL url)` Appends the specified URL to the list of URLs to search for classes and resources.
`java.lang.String` | `getLibraryDirectory()` Gets the current directory used by the library loader for storing native libraries before they are loaded into memory.
`java.util.Set` | `getMBeansFromURL(java.lang.String url)` Loads a text file containing MLET tags that define the MBeans to be added to the agent.
`java.util.Set` | `getMBeansFromURL(java.net.URL url)` Loads a text file containing MLET tags that define the MBeans to be added to the agent.
`java.net.URL` | `getResource(java.lang.String name)` Finds the resource with the given name.
`java.io.InputStream` | `getResourceAsStream(java.lang.String name)` Returns an input stream for reading the specified resource.
`java.util.Enumeration` | `getResources(java.lang.String name)` Finds all the resources with the given name.
`java.net.URL[]` | `getURLs()` Returns the search path of URLs for loading classes and resources.
`void` | `setLibraryDirectory(java.lang.String dir)` Sets the directory used by the library loader for storing native libraries before they are loaded into memory.

Method Detail

### getMBeansFromURL

    public java.util.Set getMBeansFromURL(java.net.URL url)
                                   throws ServiceNotFoundException

  Loads a text file containing MLET tags that define the MBeans to be added to the agent. The location of the text file is specified by a URL. The MBeans specified in the MLET file will be instantiated and registered by the MBeanServer.
  Parameters:
    `url` - The URL of the text file to be loaded as String object.
  Returns:
    A set containing one entry per MLET tag in the m-let text file loaded. Each entry specifies either the ObjectInstance for the created MBean, or a throwable object (that is, an error or an exception) if the MBean could not be created.
  Throws:
    `ServiceNotFoundException` - One of the following errors has occurred: The m-let text file does not contain an MLET tag, the m-let text file is not found, a mandatory attribute of the MLET tag is not specified, the value of url is null.

### getMBeansFromURL

    public java.util.Set getMBeansFromURL(java.lang.String url)
                                   throws ServiceNotFoundException

  Loads a text file containing MLET tags that define the MBeans to be added to the agent. The location of the text file is specified by a URL. The MBeans specified in the MLET file will be instantiated and registered by the MBeanServer.
  Parameters:
    `url` - The URL of the text file to be loaded as String object.
  Returns:
    A set containing one entry per MLET tag in the m-let text file loaded. Each entry specifies either the ObjectInstance for the created MBean, or a throwable object (that is, an error or an exception) if the MBean could not be created.
  Throws:
    `ServiceNotFoundException` - One of the following errors has occurred: The m-let text file does not contain an MLET tag, the m-let text file is not found, a mandatory attribute of the MLET tag is not specified, the value of url is malformed.

### addURL

    public void addURL(java.net.URL url)

  Appends the specified URL to the list of URLs to search for classes and resources.

### addURL

    public void addURL(java.lang.String url)
                throws ServiceNotFoundException

  Appends the specified URL to the list of URLs to search for classes and resources.
  Throws:
    `ServiceNotFoundException` - The specified URL is malformed.

### getURLs

    public java.net.URL[] getURLs()

  Returns the search path of URLs for loading classes and resources. This includes the ORIGINAL list of URLs specified to the constructor, along with any URLs subsequently appended by the addURL() method.

### getResource

    public java.net.URL getResource(java.lang.String name)

  Finds the resource with the given name. A resource is some data (images, audio, text, etc) that can be accessed by class code in a way that is independent of the location of the code. The name of a resource is a "/"-separated path name that identifies the resource.
  Parameters:
    `name` - The resource name
  Returns:
    An URL for reading the resource, or null if the resource could not be found or the caller doesn't have adequate privileges to get the resource.

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

  Returns an input stream for reading the specified resource. The search order is described in the documentation for getResource(String).
  Parameters:
    `name` - The resource name
  Returns:
    An input stream for reading the resource, or null if the resource could not be found.

### getResources

    public java.util.Enumeration getResources(java.lang.String name)
                                       throws java.io.IOException

  Finds all the resources with the given name. A resource is some data (images, audio, text, etc) that can be accessed by class code in a way that is independent of the location of the code. The name of a resource is a "/"-separated path name that identifies the resource.
  Parameters:
    `name` - The resource name.
  Returns:
    An enumeration of URL to the resource. If no resources could be found, the enumeration will be empty. Resources that the doesn't have access to will not be in the enumeration.
  Throws:
    `java.io.IOException` -

### getLibraryDirectory

    public java.lang.String getLibraryDirectory()

  Gets the current directory used by the library loader for storing native libraries before they are loaded into memory.
  Returns:
    The current directory used by the library loader.

### setLibraryDirectory

    public void setLibraryDirectory(java.lang.String dir)

  Sets the directory used by the library loader for storing native libraries before they are loaded into memory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD